﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using FarPoint.Mvc.Spread;

namespace MVC_Spread_Web.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index([MvcSpread(true)]FarPoint.Mvc.Spread.FpSpread FpSpread1)
        {
            FpSpread1.ActiveSheetView.Rows.Count = 30;

            ViewBag.Message = "ComponentOne Spread MVC 4";
            if (FpSpread1 != null)
            {
                var value = FpSpread1.ActiveSheetView.Cells[0, 0].Value;
            }
            return View();
        }

        /// <summary>
        /// FpSpread1的Event1：Init
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public void FpSpread1_Init(object sender, EventArgs e)
        {
           
        }

        void sp_ActiveRowChanged(object sender, FarPoint.Web.Spread.SpreadCommandEventArgs e)
        {
            
        }

        private void FpSpread1ActiveRowChanged(object sender, FarPoint.Web.Spread.SpreadCommandEventArgs e)
        {
            string nn = e.CommandArgument.ToString();
        }


        /// <summary>
        /// FpSpread1的Event2： Load
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public void FpSpread1_Load(object sender, EventArgs e)
        {
            FpSpread sp = sender as FpSpread;
            if (!sp.Page.IsPostBack)
            {
                // sp.EnableClientScript = false;
              //  sp.EnableAjaxCall = false;

                //   sp.Open(@"d:\a.xml");
                //sp.CellClick += sp_CellClick;

                //sp.ActiveRowChanged += sp_ActiveRowChanged;

                sp.Cells[1, 1].Text = "hello, MVC!";


                //string fileName = "C:\\savefile.xml";
                //sp.Save(@"d:\a.xml", false);
                //sp.Open(fileName);

              //  sp.Open(@"d:\c.xml");
            }
        }

        void sp_CellClick(object sender, FarPoint.Web.Spread.SpreadCommandEventArgs e)
        {
            
        }


        public void Save()
        {

        }


        /// <summary>
        /// FpSpread1的Event3： PreRender
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public void FpSpread1_PreRender(object sender, EventArgs e)
        {
        }

        [MvcSpreadEvent("Init", "FpSpread1")]
        private void _init(object sender, EventArgs e)
        {
        }


        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}
